package com.rjconsultores.ventaboletos.dao.hibernate;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.RecuperarSenhaDAO;
import com.rjconsultores.ventaboletos.entidad.RecuperarSenha;

/**
 * @author valdir.cordeiro
 *
 */
@Repository("recuperarSenhaDAO")
public class RecuperarSenhaHibernateDAO extends GenericHibernateDAO<RecuperarSenha, Long> implements RecuperarSenhaDAO{

	@Autowired
	public RecuperarSenhaHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}

	@Override
	public RecuperarSenha buscarPeloParam(String param) {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
		c.add(Restrictions.eq("param", param));

		return (RecuperarSenha) c.uniqueResult();
	}
}
